class BoxModel {
  String id;
  int fits;
  int price;

  BoxModel({
    this.id,
    this.fits,
    this.price
  });

  factory BoxModel.fromJson(Map<String, dynamic> parsedJson) {
    var price = parsedJson['price'];
    int total = price * 2.9 / 100;
    total = total + 30;
    return BoxModel(
        id: parsedJson['id'],
        fits: parsedJson['fits'],
        price: total
    );
  }

  // TODO maybe put this in a service or abstract class
  priceToString() {
    return '\$${(price / 100).toStringAsFixed(2)}';
  }
}